## kexec-tools 2.0.16

=== kexec/Makefile ===
#
# kexec (linux booting linux)
#
PURGATORY_HEX_C = kexec/purgatory.c

$(PURGATORY_HEX_C): $(PURGATORY) $(BIN_TO_HEX)
	$(MKDIR) -p $(@D)
	$(BIN_TO_HEX) purgatory < $(PURGATORY) > $@

KEXEC_SRCS = $(KEXEC_SRCS_base)
KEXEC_GENERATED_SRCS =

KEXEC_SRCS_base += kexec/kexec.c
KEXEC_SRCS_base += kexec/ifdown.c
KEXEC_SRCS_base += kexec/kexec-elf.c
KEXEC_SRCS_base += kexec/kexec-elf-exec.c
KEXEC_SRCS_base += kexec/kexec-elf-core.c
KEXEC_SRCS_base += kexec/kexec-elf-rel.c
KEXEC_SRCS_base += kexec/kexec-elf-boot.c
KEXEC_SRCS_base += kexec/kexec-iomem.c
KEXEC_SRCS_base += kexec/firmware_memmap.c
KEXEC_SRCS_base += kexec/crashdump.c
KEXEC_SRCS_base += kexec/crashdump-xen.c
KEXEC_SRCS_base += kexec/phys_arch.c
KEXEC_SRCS_base += kexec/kernel_version.c
KEXEC_SRCS_base += kexec/lzma.c
KEXEC_SRCS_base += kexec/zlib.c
KEXEC_SRCS_base += kexec/kexec-xen.c
KEXEC_SRCS_base += kexec/symbols.c

KEXEC_GENERATED_SRCS += $(PURGATORY_HEX_C)

dist += kexec/Makefile						\
	$(KEXEC_SRCS_base) kexec/crashdump-elf.c		\
	kexec/crashdump.h kexec/firmware_memmap.h		\
	kexec/kexec-elf-boot.h					\
	kexec/kexec-elf.h kexec/kexec-sha256.h			\
	kexec/kexec-zlib.h kexec/kexec-lzma.h			\
	kexec/kexec-syscall.h kexec/kexec.h kexec/kexec.8

dist				+= kexec/proc_iomem.c
$(ARCH)_PROC_IOMEM		=  kexec/proc_iomem.c
KEXEC_SRCS			+= $($(ARCH)_PROC_IOMEM)

dist				+= kexec/virt_to_phys.c
$(ARCH)_VIRT_TO_PHYS		=  kexec/virt_to_phys.c
KEXEC_SRCS			+= $($(ARCH)_VIRT_TO_PHYS)

dist				+= kexec/phys_to_virt.c
$(ARCH)_PHYS_TO_VIRT		=  kexec/phys_to_virt.c
KEXEC_SRCS			+= $($(ARCH)_PHYS_TO_VIRT)

dist				+= kexec/add_segment.c
$(ARCH)_ADD_SEGMENT		=  kexec/add_segment.c
KEXEC_SRCS			+= $($(ARCH)_ADD_SEGMENT)

dist				+= kexec/add_buffer.c
$(ARCH)_ADD_BUFFER		=  kexec/add_buffer.c
KEXEC_SRCS			+= $($(ARCH)_ADD_BUFFER)

dist				+=  kexec/arch_reuse_initrd.c
$(ARCH)_ARCH_REUSE_INITRD	=  kexec/arch_reuse_initrd.c
KEXEC_SRCS			+= $($(ARCH)_ARCH_REUSE_INITRD)

dist				+= kexec/kexec-uImage.c
$(ARCH)_UIMAGE			=
KEXEC_SRCS			+= $($(ARCH)_UIMAGE)

dist				+= kexec/fs2dt.c kexec/fs2dt.h
$(ARCH)_FS2DT			=
KEXEC_SRCS			+= $($(ARCH)_FS2DT)

dist				+= kexec/mem_regions.c kexec/mem_regions.h
$(ARCH)_MEM_REGIONS		=
KEXEC_SRCS			+= $($(ARCH)_MEM_REGIONS)

dist				+= kexec/dt-ops.c kexec/dt-ops.h
$(ARCH)_DT_OPS		=
KEXEC_SRCS			+= $($(ARCH)_DT_OPS)

include $(srcdir)/kexec/arch/alpha/Makefile
include $(srcdir)/kexec/arch/arm/Makefile
include $(srcdir)/kexec/arch/arm64/Makefile
include $(srcdir)/kexec/arch/i386/Makefile
include $(srcdir)/kexec/arch/ia64/Makefile
include $(srcdir)/kexec/arch/m68k/Makefile
include $(srcdir)/kexec/arch/mips/Makefile
include $(srcdir)/kexec/arch/cris/Makefile
include $(srcdir)/kexec/arch/ppc/Makefile
include $(srcdir)/kexec/arch/ppc64/Makefile
include $(srcdir)/kexec/arch/s390/Makefile
include $(srcdir)/kexec/arch/sh/Makefile
include $(srcdir)/kexec/arch/x86_64/Makefile

KEXEC_SRCS += $($(ARCH)_KEXEC_SRCS)

KEXEC_OBJS = $(call objify, $(KEXEC_SRCS) $(KEXEC_GENERATED_SRCS))
KEXEC_DEPS = $(call depify, $(KEXEC_OBJS))

clean += $(KEXEC_OBJS) $(KEXEC_DEPS) $(KEXEC_GENERATED_SRCS) \
	 $(KEXEC) $(KEXEC_MANPAGE)

KEXEC = $(SBINDIR)/kexec
KEXEC_MANPAGE = $(MANDIR)/man8/kexec.8

-include $(KEXEC_DEPS)

$(KEXEC): $(KEXEC_OBJS) $(UTIL_LIB)
	@$(MKDIR) -p $(@D)
	$(LINK.o) -o $@ $^ $(CFLAGS) $(LIBS)

$(KEXEC): CPPFLAGS+=-I$(srcdir)/kexec/arch/$(ARCH)/include

kexec/fs2dt.o: CPPFLAGS+=$($(ARCH)_FS2DT_INCLUDE)

$(KEXEC_MANPAGE): kexec/kexec.8
	@$(MKDIR) -p     $(MANDIR)/man8
	cp $^ $(KEXEC_MANPAGE)
echo::
	@echo "KEXEC_SRCS $(KEXEC_SRCS)"
	@echo "KEXEC_DEPS $(KEXEC_DEPS)"
	@echo "KEXEC_OBJS $(KEXEC_OBJS)"

=== kexec/arch/ppc64/Makefile ===
#
# kexec ppc64 (linux booting linux)
#
include $(srcdir)/kexec/libfdt/Makefile.libfdt

ppc64_KEXEC_SRCS =  kexec/arch/ppc64/kexec-elf-rel-ppc64.c
ppc64_KEXEC_SRCS += kexec/arch/ppc64/kexec-zImage-ppc64.c
ppc64_KEXEC_SRCS += kexec/arch/ppc64/kexec-elf-ppc64.c
ppc64_KEXEC_SRCS += kexec/arch/ppc64/kexec-ppc64.c
ppc64_KEXEC_SRCS += kexec/arch/ppc64/crashdump-ppc64.c
ppc64_KEXEC_SRCS += kexec/arch/ppc64/fdt.c
ppc64_KEXEC_SRCS += $(LIBFDT_SRCS:%=kexec/libfdt/%)

ppc64_ARCH_REUSE_INITRD =

ppc64_FS2DT	    = kexec/fs2dt.c
ppc64_FS2DT_INCLUDE = -include $(srcdir)/kexec/arch/ppc64/crashdump-ppc64.h \
                      -include $(srcdir)/kexec/arch/ppc64/kexec-ppc64.h

ppc64_CPPFLAGS = -I$(srcdir)/kexec/libfdt

dist += kexec/arch/ppc64/Makefile $(ppc64_KEXEC_SRCS)			\
	kexec/arch/ppc64/kexec-ppc64.h kexec/arch/ppc64/crashdump-ppc64.h \
	kexec/arch/ppc64/include/arch/fdt.h \
	kexec/arch/ppc64/include/arch/options.h

=== purgatory/arch/arm64/Makefile ===

arm64_PURGATORY_EXTRA_CFLAGS = \
	-mcmodel=large \
	-fno-stack-protector \
	-fno-asynchronous-unwind-tables \
	-Wundef \
	-Werror-implicit-function-declaration \
	-Wdeclaration-after-statement \
	-Werror=implicit-int \
	-Werror=strict-prototypes

arm64_PURGATORY_SRCS += \
	purgatory/arch/arm64/entry.S \
	purgatory/arch/arm64/purgatory-arm64.c

dist += \
	$(arm64_PURGATORY_SRCS) \
	purgatory/arch/arm64/Makefile

=== purgatory/arch/x86_64/Makefile ===
#
# Purgatory x86_64
#

x86_64_PURGATORY_SRCS_native = purgatory/arch/x86_64/entry64-32.S
x86_64_PURGATORY_SRCS_native += purgatory/arch/x86_64/entry64.S
x86_64_PURGATORY_SRCS_native += purgatory/arch/x86_64/setup-x86_64.S
x86_64_PURGATORY_SRCS_native += purgatory/arch/x86_64/stack.S
x86_64_PURGATORY_SRCS_native += purgatory/arch/x86_64/purgatory-x86_64.c

x86_64_PURGATORY_SRCS += $(x86_64_PURGATORY_SRCS_native)

dist += purgatory/arch/x86_64/Makefile $(x86_64_PURGATORY_SRCS_native) 	\
	purgatory/arch/x86_64/include/arch/io.h				\
	purgatory/arch/x86_64/include/arch/debug.h			\
	purgatory/arch/x86_64/purgatory-x86_64.h

# Don't add sources in i386/ to dist, as i386/Makefile adds them
x86_64_PURGATORY_SRCS += purgatory/arch/i386/entry32-16.S
x86_64_PURGATORY_SRCS += purgatory/arch/i386/entry32-16-debug.S
x86_64_PURGATORY_SRCS += purgatory/arch/i386/crashdump_backup.c
x86_64_PURGATORY_SRCS += purgatory/arch/i386/console-x86.c
x86_64_PURGATORY_SRCS += purgatory/arch/i386/vga.c
x86_64_PURGATORY_SRCS += purgatory/arch/i386/pic.c

x86_64_PURGATORY_EXTRA_CFLAGS = -mcmodel=large

=== debian/changelog ===
kexec-tools (1:2.0.16-1ubuntu3) cosmic; urgency=medium

  * Fix for "Unhandled rela relocation: R_X86_64_PLT32" error. LP: #1791804

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 10 Sep 2018 16:46:00 -0300

kexec-tools (1:2.0.16-1ubuntu2) cosmic; urgency=medium

  * Add support for kexec_file_load on s390x. LP: #1783086

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 30 Aug 2018 13:40:55 +0100

kexec-tools (1:2.0.16-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Adjust INITCONFFILE to vmlinux if used
    - Add maintainer script helper to handle removal of conffile
      /etc/default/grub.d/kexec-tools.cfg has been removed.
      Handle it properly
    - Add Breaks: statement toward kdump-tools
       Starting with kdump-tools 1:1.5.9-6, this package takes
       over the addition of crashkernel= parameter which has
       been removed from kexec-tools.
       Make sure that it is upgraded accordingly.
  * New upstream release (LP: #1743529)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Fri, 23 Feb 2018 12:11:36 -0300

kexec-tools (1:2.0.16-1) unstable; urgency=medium

  * New upstream release (Closes: #890818)
  * Updated pointer to kexec-tools home page (Closes: #888565)
  * Updtaed russian translation (Thanks, Lev) (Closes: #883918)
  * Remove obsolete configuration file (Closes: #868100)

 -- Khalid Aziz <khalid@debian.org>  Tue, 20 Feb 2018 11:13:24 -0700

kexec-tools (1:2.0.15-1) unstable; urgency=medium

  * New upstream release (Closes: #876318, Closes: #854826)
  * Enable compressed kernel support for ARM64 - Manoj Iyer
    (Closes: #854093)
  * Updated Portuguese translation (Closes: #857728)
  * Updated German translation (Closes: #857737)

 -- Khalid Aziz <khalid@debian.org>  Thu, 21 Sep 2017 15:07:18 -0600

## kexec-tools 2.0.18

=== kexec/Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	kexec/kexec-elf-boot.h					\
 	kexec/kexec-elf.h kexec/kexec-sha256.h			\
 	kexec/kexec-zlib.h kexec/kexec-lzma.h			\
+	kexec/kexec-xen.h 					\
 	kexec/kexec-syscall.h kexec/kexec.h kexec/kexec.8
 
 dist				+= kexec/proc_iomem.c

=== debian/changelog ===
kexec-tools (1:2.0.18-1ubuntu1) disco; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Make the default for handling reboots in the case that db_get
      fails match the default in the template (false).
    - Adjust INITCONFFILE to vmlinux if used
    - Add maintainer script helper to handle removal of conffile
      /etc/default/grub.d/kexec-tools.cfg.
    - Add Breaks: statement toward kdump-tools
       Starting with kdump-tools 1:1.5.9-6, that package has taken
       over the addition of crashkernel= parameter from kexec-tools.
   * Drop patches merged upstream:
     - d/p/0001-kexec-fix-for-Unhandled-rela-relocation-R_X86_64_PLT.patch
     - d/p/0001-kexec-s390-Add-support-for-kexec_file_load.patch

 -- dann frazier <dannf@ubuntu.com>  Thu, 31 Jan 2019 10:59:38 -0700

kexec-tools (1:2.0.18-1) unstable; urgency=medium

  * New upstream release (Closes: #905656)
  * Removed patch arm64_build.patch since the bug is fixed in upstream now
  * Remnoved call to db_stop in kexec-tools.postinst (Closes: #891256)

 -- Khalid Aziz <khalid@debian.org>  Tue, 22 Jan 2019 14:46:13 -0700

=== debian/control ===
Source: kexec-tools
Section: admin
Homepage: https://git.kernel.org/pub/scm/utils/kernel/kexec/kexec-tools.git/
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Khalid Aziz <khalid@debian.org>
Build-Depends: debhelper (>= 7.0.0), dh-autoreconf, gnu-efi (>=3.0a-4)[ia64], libz-dev[arm64 ia64], po-debconf
Standards-Version: 4.1.0

Package: kexec-tools
Architecture: i386 amd64 ppc64el ppc64 powerpc powerpcspe  ia64 s390x arm arm64 armel armhf sh4 mips mipsel mips64 mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, lsb-base (>=3.0-6), dpkg (>= 1.15.7.2)
Breaks: kdump-tools ( << 1:1.5.9-6)
Description: tools to support fast kexec reboots
 This package provides tools to load a kernel into memory and then
 "reboot" directly into that kernel using the kexec system call,
 bypassing the normal boot process.

Package: kexec-tools-udeb
Section: debian-installer
Architecture: i386 amd64 ppc64el ppc64 powerpc powerpcspe  ia64 s390x arm arm64 armel armhf sh4 mips mipsel mips64 mips64el
XC-Package-Type: udeb
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools to support fast kexec reboots (udeb)

## kexec-tools 2.0.18-1+cl4.3.1u2

=== kexec/Makefile ===
--- 
+++ 
@@ -103,6 +103,8 @@
 
 KEXEC = $(SBINDIR)/kexec
 KEXEC_MANPAGE = $(MANDIR)/man8/kexec.8
+KEXEC_COLDREBOOT=$(SBINDIR)/coldreboot
+KEXEC_COLDREBOOT_MANPAGE=$(MANDIR)/man8/coldreboot.8
 
 -include $(KEXEC_DEPS)
 
@@ -117,6 +119,16 @@
 $(KEXEC_MANPAGE): kexec/kexec.8
 	@$(MKDIR) -p     $(MANDIR)/man8
 	cp $^ $(KEXEC_MANPAGE)
+
+$(KEXEC_COLDREBOOT): kexec/coldreboot
+	@$(MKDIR) -p     $(@D)
+	cp kexec/coldreboot $(KEXEC_COLDREBOOT)
+	/bin/chmod 755 $(KEXEC_COLDREBOOT)
+
+$(KEXEC_COLDREBOOT_MANPAGE): kexec/coldreboot.8
+	@$(MKDIR) -p     $(MANDIR)/man8
+	cp kexec/coldreboot.8 $(KEXEC_COLDREBOOT_MANPAGE)
+
 echo::
 	@echo "KEXEC_SRCS $(KEXEC_SRCS)"
 	@echo "KEXEC_DEPS $(KEXEC_DEPS)"

=== kexec_test/Makefile ===
#
# kexec_test Debugging payload to be certain the infrastructure works
#
RELOC:=0x10000
KEXEC_TEST_SRCS:= kexec_test/kexec_test16.S kexec_test/kexec_test.S

dist += kexec_test/Makefile $(KEXEC_TEST_SRCS)				\
	kexec_test/x86-setup-legacy-pic.S

BUILD_KEXEC_TEST = no
ifeq ($(ARCH),i386)
BUILD_KEXEC_TEST = yes
endif
ifeq ($(ARCH),x86_64)
BUILD_KEXEC_TEST = yes
endif

ifeq ($(BUILD_KEXEC_TEST),yes)

KEXEC_TEST_OBJS = $(call objify, $(KEXEC_TEST_SRCS))
KEXEC_TEST_DEPS = $(call depify, $(KEXEC_TEST_OBJS))

KEXEC_TEST = $(PKGLIBDIR)/kexec_test.static

clean += $(KEXEC_TEST_OBJS) $(KEXEC_TEST_DEPS) $(KEXEC_TEST)

-include $(KEXEC_TEST_DEPS)

$(KEXEC_TEST): CC=$(TARGET_CC)
$(KEXEC_TEST): CPPFLAGS+=-DRELOC=$(RELOC)
$(KEXEC_TEST): ASFLAGS+=-m32
#$(KEXEC_TEST): LDFLAGS=-m32 -Wl,-e -Wl,_start -Wl,-Ttext -Wl,$(RELOC) \
#		       -nostartfiles
$(KEXEC_TEST): LDFLAGS=-melf_i386 -e _start -Ttext $(RELOC)

$(KEXEC_TEST): $(KEXEC_TEST_OBJS)
	mkdir -p $(@D)
	$(TARGET_LD) $(LDFLAGS) -o $@ $^
	strip $@

endif

=== purgatory/Makefile ===
#
# Purgatory (an uncomfortable intermediate state)
#            In this case the code that runs between kernels
#

# There is probably a cleaner way to do this but for now this
# should keep us from accidentially include unsafe library functions
# or headers.

PURGATORY = purgatory/purgatory.ro
PURGATORY_SRCS =
PURGATORY_SRCS += purgatory/purgatory.c
PURGATORY_SRCS += purgatory/printf.c
PURGATORY_SRCS += purgatory/string.c
PURGATORY_MAP = purgatory/purgatory.map

dist += purgatory/Makefile $(PURGATORY_SRCS)				\
	purgatory/include/purgatory.h purgatory/include/string.h

include $(srcdir)/purgatory/arch/alpha/Makefile
include $(srcdir)/purgatory/arch/arm/Makefile
include $(srcdir)/purgatory/arch/arm64/Makefile
include $(srcdir)/purgatory/arch/i386/Makefile
include $(srcdir)/purgatory/arch/ia64/Makefile
include $(srcdir)/purgatory/arch/mips/Makefile
include $(srcdir)/purgatory/arch/ppc/Makefile
include $(srcdir)/purgatory/arch/ppc64/Makefile
include $(srcdir)/purgatory/arch/s390/Makefile
include $(srcdir)/purgatory/arch/sh/Makefile
include $(srcdir)/purgatory/arch/x86_64/Makefile

PURGATORY_SRCS+=$($(ARCH)_PURGATORY_SRCS)

PURGATORY_OBJS = $(call objify, $(PURGATORY_SRCS)) purgatory/sha256.o
PURGATORY_DEPS = $(call depify, $(PURGATORY_OBJS))

clean += $(PURGATORY_OBJS) $(PURGATORY_DEPS) $(PURGATORY) $(PURGATORY_MAP) $(PURGATORY).sym

-include $(PURGATORY_DEPS)

purgatory/sha256.o: CFLAGS += -O2 $($(ARCH)_PURGATORY_SHA256_CFLAGS)

purgatory/sha256.o: $(srcdir)/util_lib/sha256.c
	mkdir -p $(@D)
	$(COMPILE.c) -o $@ $^

$(PURGATORY): CC=$(TARGET_CC)
$(PURGATORY): CFLAGS+=$(PURGATORY_EXTRA_CFLAGS) \
		      $($(ARCH)_PURGATORY_EXTRA_CFLAGS) \
		      -Os -fno-builtin -ffreestanding \
		      -fno-zero-initialized-in-bss \
		      -fno-PIC -fno-PIE -fno-stack-protector

$(PURGATORY): CPPFLAGS=$($(ARCH)_PURGATORY_EXTRA_CFLAGS) \
			-I$(srcdir)/purgatory/include \
			-I$(srcdir)/purgatory/arch/$(ARCH)/include \
			-I$(srcdir)/util_lib/include \
			-I$(srcdir)/include \
			-Iinclude \
			-I$(shell $(CC) -print-file-name=include)
$(PURGATORY): LDFLAGS=$($(ARCH)_PURGATORY_EXTRA_CFLAGS)\
			-Wl,--no-undefined -nostartfiles -nostdlib \
			-nodefaultlibs -e purgatory_start -r \
			-Wl,-Map=$(PURGATORY_MAP)

$(PURGATORY): $(PURGATORY_OBJS)
	$(MKDIR) -p $(@D)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@.sym $^
#	$(LD) $(LDFLAGS) $(EXTRA_LDFLAGS) -Wl,--no-undefined -e purgatory_start -r -o $@ $(PURGATORY_OBJS) $(UTIL_LIB)
	$(STRIP) --strip-debug -o $@ $@.sym

echo::
	@echo "PURGATORY_SRCS $(PURGATORY_SRCS)"
	@echo "PURGATORY_DEPS $(PURGATORY_DEPS)"
	@echo "PURGATORY_OBJS $(PURGATORY_OBJS)"

=== debian/changelog ===
kexec-tools (1:2.0.18-1+cl4.3.1u2) RELEASED; urgency=medium

  * new build for 4.3.1 from original hash
    cbc20ffb161ad3f43ef10d11130b2e2f2df2272e

 -- root <root@3da22e72fb7c>  Tue, 14 Jun 2022 22:28:01 +0000

kexec-tools (1:2.0.18-1+cl4u1) CumulusLinux-4; urgency=medium

  [ Benjamin Poirier ]
  * CUMULUS: Apply debian/patches/debianize.patch
  * CUMULUS: Apply debian/patches/static_binary_warning.patch
  * CUMULUS: Apply debian/patches/distclean_fix.patch
  * CUMULUS: Apply debian/patches/add_debian_readme.patch
  * CUMULUS: Apply debian/patches/coldreboot.patch
  * CUMULUS: Apply debian/patches/linker-option.patch
  * CUMULUS: Apply debian/patches/powerpcspe_support.patch
  * CUMULUS: debian: Change source package format to "3.0 (git)"
  * CUMULUS: Change level and default of load_kexec debconf question

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Wed, 27 May 2020 14:28:10 +0900

=== debian/control ===
Source: kexec-tools
Section: admin
Homepage: https://git.kernel.org/pub/scm/utils/kernel/kexec/kexec-tools.git/
Priority: optional
Maintainer: Khalid Aziz <khalid@debian.org>
Build-Depends: debhelper (>= 7.0.0), dh-autoreconf, gnu-efi (>=3.0a-4)[ia64], libz-dev[arm64 ia64], po-debconf
Standards-Version: 4.1.0
XS-Build-Source: True
XS-Cumulus-Valid-Arch: amd64 armel
XBCS-Vcs-Hash: cbc20ffb161ad3f43ef10d11130b2e2f2df2272e

Package: kexec-tools
Architecture: i386 amd64 ppc64el ppc64 powerpc powerpcspe  ia64 s390x arm arm64 armel armhf sh4 mips mipsel mips64 mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, lsb-base (>=3.0-6), dpkg (>= 1.15.7.2)
Description: tools to support fast kexec reboots
 This package provides tools to load a kernel into memory and then
 "reboot" directly into that kernel using the kexec system call,
 bypassing the normal boot process.
XBCS-Vcs-Hash: cbc20ffb161ad3f43ef10d11130b2e2f2df2272e

Package: kexec-tools-udeb
Section: debian-installer
Architecture: i386 amd64 ppc64el ppc64 powerpc powerpcspe  ia64 s390x arm arm64 armel armhf sh4 mips mipsel mips64 mips64el
XC-Package-Type: udeb
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools to support fast kexec reboots (udeb)
XBCS-Vcs-Hash: cbc20ffb161ad3f43ef10d11130b2e2f2df2272e

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


BUILD_DATE = $(shell dpkg-parsechangelog -S Date | LC_ALL=C date -u +'%d %B %Y' -f -)
export BUILD_DATE

ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
	NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

CFLAGS = -Wall -g

configure: configure-stamp
configure-stamp: 
	dh_testdir
	# Add here commands to configure the package.
	dh_autoreconf
	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" dh_auto_configure -- --prefix=/usr --sbindir=/sbin --mandir=/usr/share/man --datadir=/usr/share
	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) $(NJOBS)

	touch build-stamp

clean: tidy 

tidy: configure-stamp 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp 
	rm -fr tmp-source

	# Add here commands to clean up after the build process.
	$(MAKE) dist-clean

	dh_autoreconf_clean
	dh_clean 
	debconf-updatepo

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kexec-tools
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	[ ! -f $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static ] || strip $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static
endif

	install -D -m 0755 debian/kexec-tools/sbin/kexec debian/kexec-tools-udeb/sbin/kexec

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installdebconf
	dh_installinit -r --name=kexec 
	dh_installinit -r --name=kexec-load
	dh_installexamples
	dh_lintian
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## kexec-tools 2.0.20

=== kexec/arch/i386/Makefile ===
#
# kexec i386 (linux booting linux)
#
i386_KEXEC_SRCS =  kexec/arch/i386/kexec-x86.c
i386_KEXEC_SRCS += kexec/arch/i386/kexec-x86-common.c
i386_KEXEC_SRCS += kexec/arch/i386/kexec-elf-x86.c
i386_KEXEC_SRCS += kexec/arch/i386/kexec-elf-rel-x86.c
i386_KEXEC_SRCS += kexec/arch/i386/kexec-bzImage.c
i386_KEXEC_SRCS += kexec/arch/i386/kexec-multiboot-x86.c
i386_KEXEC_SRCS += kexec/arch/i386/kexec-beoboot-x86.c
i386_KEXEC_SRCS += kexec/arch/i386/kexec-nbi.c
i386_KEXEC_SRCS += kexec/arch/i386/x86-linux-setup.c
i386_KEXEC_SRCS += kexec/arch/i386/crashdump-x86.c

dist += kexec/arch/i386/Makefile $(i386_KEXEC_SRCS)			\
	kexec/arch/i386/crashdump-x86.h					\
	kexec/arch/i386/kexec-mb2-x86.c					\
	kexec/arch/i386/kexec-x86.h					\
	kexec/arch/i386/x86-linux-setup.h				\
	kexec/arch/i386/include/arch/options.h

=== debian/changelog ===
kexec-tools (1:2.0.20-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 10 (Closes: #957403)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Fri, 31 Jul 2020 14:27:55 -0300

kexec-tools (1:2.0.20-2) unstable; urgency=medium

  * Fix FTBFS issue on x86 (Closes: #942617)

 -- Khalid Aziz <khalid@debian.org>  Thu, 12 Mar 2020 13:31:02 -0600

kexec-tools (1:2.0.20-1) unstable; urgency=medium

  * New upstream release
  * Dropped additional unnecessary defaults setting in postinst
    (Closes: #921023)

 -- Khalid Aziz <khalid@debian.org>  Wed, 16 Oct 2019 10:49:02 -0600

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,6 @@
 Maintainer: Khalid Aziz <khalid@debian.org>
 Build-Depends: debhelper (>= 7.0.0), dh-autoreconf, gnu-efi (>=3.0a-4)[ia64], libz-dev[arm64 ia64], po-debconf
 Standards-Version: 4.1.0
-XS-Build-Source: True
-XS-Cumulus-Valid-Arch: amd64 armel
-XBCS-Vcs-Hash: cbc20ffb161ad3f43ef10d11130b2e2f2df2272e
 
 Package: kexec-tools
 Architecture: i386 amd64 ppc64el ppc64 powerpc powerpcspe  ia64 s390x arm arm64 armel armhf sh4 mips mipsel mips64 mips64el
@@ -16,7 +13,6 @@
  This package provides tools to load a kernel into memory and then
  "reboot" directly into that kernel using the kexec system call,
  bypassing the normal boot process.
-XBCS-Vcs-Hash: cbc20ffb161ad3f43ef10d11130b2e2f2df2272e
 
 Package: kexec-tools-udeb
 Section: debian-installer
@@ -24,5 +20,3 @@
 XC-Package-Type: udeb
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: tools to support fast kexec reboots (udeb)
-XBCS-Vcs-Hash: cbc20ffb161ad3f43ef10d11130b2e2f2df2272e
-

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 
 BUILD_DATE = $(shell dpkg-parsechangelog -S Date | LC_ALL=C date -u +'%d %B %Y' -f -)

## kexec-tools 2.0.21

=== debian/changelog ===
kexec-tools (2.0.21-1.lnd.5) unstable; urgency=medium

  * Sync to "LoongArch: Add the kexec/kdump operation under the new firmware"

 -- Youling Tang <tangyouling@loongson.cn>  Wed, 13 Jul 2022 16:56:58 +0800

kexec-tools (2.0.21-1.lnd.3) unstable; urgency=medium

  * LoongArch: Remove the added command line parameter "swiotlb=1"

 -- Youling Tang <tangyouling@loongson.cn>  Mon, 26 Jul 2021 16:56:58 +0800

kexec-tools (2.0.21-1.lnd.2) unstable; urgency=medium

  * LoongArch: kdump: Fix issues related to command line parameters

 -- Youling Tang <tangyouling@loongson.cn>  Mon, 17 June 2021 16:56:58 +0800

kexec-tools (2.0.21-1.lnd.1) unstable; urgency=medium

  * Trigger build

 -- Youling Tang <tangyouling@loongson.cn>  Mon, 7 June 2021 08:56:58 +0800

kexec-tools (2.0.21-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Youling Tang <tangyouling@loongson.cn>  Fri, 22 Jan 2021 08:56:58 +0800

=== debian/control ===
Source: kexec-tools
Section: devel
Priority: optional
Maintainer: Youling Tang <tangyouling@loongson.cn>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/kexec-tools
#Vcs-Git: https://salsa.debian.org/debian/kexec-tools.git

Package: kexec-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools to support fast kexec reboots
 This package provides tools to load a kernel into memory and then
 "reboot" directly into that kernel using the kexec system call,
 bypassing the normal boot process.

## kexec-tools 2.0.22

=== purgatory/arch/mips/Makefile ===
#
# Purgatory mips
#

mips_PURGATORY_SRCS+= purgatory/arch/mips/purgatory-mips.c
mips_PURGATORY_SRCS+= purgatory/arch/mips/console-mips.c

dist += purgatory/arch/mips/Makefile $(mips_PURGATORY_SRCS)		\
	purgatory/arch/mips/purgatory-mips.h

=== debian/changelog ===
kexec-tools (1:2.0.22-2ubuntu2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:07:40 +0100

kexec-tools (1:2.0.22-2ubuntu1) impish; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Make the default for handling reboots in the case that db_get
      fails match the default in the template (false).
    - Adjust INITCONFFILE to vmlinux if used
    - Add maintainer script helper to handle removal of conffile
      /etc/default/grub.d/kexec-tools.cfg.
    - Add Breaks: statement toward kdump-tools
       Starting with kdump-tools 1:1.5.9-6, that package has taken
       over the addition of crashkernel= parameter from kexec-tools.
    - Add finalrd integration hook, to allow kexec with finalrd.

 -- dann frazier <dannf@ubuntu.com>  Mon, 19 Jul 2021 13:27:52 -0600

kexec-tools (1:2.0.22-2) unstable; urgency=medium

  * Remove duplicate definition of ramdisk on powerpc arch - backport
    of upstream commit 5e7ce27626a4 ("kexec-tools: Remove duplicate
    definition of ramdisk")
  * Enable building on any architecture now that kexec is being
    supported on larger number of architectures (Closes: #893071)
  * Added dh_update_autotools_config to rules file to update
    config.{sub,guess} (Closes: #893072)

 -- Khalid Aziz <khalid@debian.org>  Thu, 15 Jul 2021 16:42:59 -0600

kexec-tools (1:2.0.22-1ubuntu1) impish; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Make the default for handling reboots in the case that db_get
      fails match the default in the template (false).
    - Adjust INITCONFFILE to vmlinux if used
    - Add maintainer script helper to handle removal of conffile
      /etc/default/grub.d/kexec-tools.cfg.
    - Add Breaks: statement toward kdump-tools
       Starting with kdump-tools 1:1.5.9-6, that package has taken
       over the addition of crashkernel= parameter from kexec-tools.
    - Add finalrd integration hook, to allow kexec with finalrd.

 -- dann frazier <dannf@ubuntu.com>  Thu, 15 Jul 2021 14:46:32 -0600

kexec-tools (1:2.0.22-1) unstable; urgency=medium

  * New upstream version (Closes: #990801)
  * Add support for x32 architecture (Closes: #974932)
  * Add support doe hppa (Closes: #941500)
  * Removed patches kexec-tools-remove-duplicated-variable-d.patch
    and ftbfs-i386.patch since they are in upstream 2.0.22 now
  * Updated spanish translation (Closes: #958875)
  * Updated debconf message and README.debian to cover systemd as
    well (Closes: #954290)
  * Added patch vmcore-dmesg_man_page_fix.patch to fix lintian warning
  * Removed source/lintian-overrides since those overrides are no
    longer needed

 -- Khalid Aziz <khalid@debian.org>  Tue, 13 Jul 2021 13:28:33 -0600

kexec-tools (1:2.0.20-2.1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:34:18 +0100

kexec-tools (1:2.0.20-2.1ubuntu2) groovy; urgency=medium

  * Add finalrd integration hook, to allow kexec with finalrd. LP:
    #1862300

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 10 Sep 2020 15:33:48 +0100

kexec-tools (1:2.0.20-2.1ubuntu1) groovy; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable.  Remaining changes:
    - Make the default for handling reboots in the case that db_get
      fails match the default in the template (false).
    - Adjust INITCONFFILE to vmlinux if used
    - Add maintainer script helper to handle removal of conffile
      /etc/default/grub.d/kexec-tools.cfg.
    - Add Breaks: statement toward kdump-tools
       Starting with kdump-tools 1:1.5.9-6, that package has taken
       over the addition of crashkernel= parameter from kexec-tools.

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 03 Aug 2020 20:27:00 -0300

=== debian/control ===
Source: kexec-tools
Section: admin
Homepage: https://git.kernel.org/pub/scm/utils/kernel/kexec/kexec-tools.git/
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Khalid Aziz <khalid@debian.org>
Build-Depends: debhelper (>= 7.0.0), gnu-efi (>=3.0a-4)[ia64], libz-dev[arm64 ia64], po-debconf
Standards-Version: 4.5.1.0

Package: kexec-tools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, lsb-base (>=3.0-6), dpkg (>= 1.15.7.2)
Breaks: kdump-tools ( << 1:1.5.9-6)
Description: tools to support fast kexec reboots
 This package provides tools to load a kernel into memory and then
 "reboot" directly into that kernel using the kexec system call,
 bypassing the normal boot process.

Package: kexec-tools-udeb
Section: debian-installer
Architecture: linux-any
XC-Package-Type: udeb
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools to support fast kexec reboots (udeb)

## kexec-tools 2.0.25

=== kexec/Makefile ===
--- 
+++ 
@@ -22,7 +22,6 @@
 KEXEC_SRCS_base += kexec/crashdump.c
 KEXEC_SRCS_base += kexec/crashdump-xen.c
 KEXEC_SRCS_base += kexec/phys_arch.c
-KEXEC_SRCS_base += kexec/kernel_version.c
 KEXEC_SRCS_base += kexec/lzma.c
 KEXEC_SRCS_base += kexec/zlib.c
 KEXEC_SRCS_base += kexec/kexec-xen.c
@@ -92,6 +91,7 @@
 include $(srcdir)/kexec/arch/s390/Makefile
 include $(srcdir)/kexec/arch/sh/Makefile
 include $(srcdir)/kexec/arch/x86_64/Makefile
+include $(srcdir)/kexec/arch/hppa/Makefile
 
 KEXEC_SRCS += $($(ARCH)_KEXEC_SRCS)
 
@@ -103,8 +103,6 @@
 
 KEXEC = $(SBINDIR)/kexec
 KEXEC_MANPAGE = $(MANDIR)/man8/kexec.8
-KEXEC_COLDREBOOT=$(SBINDIR)/coldreboot
-KEXEC_COLDREBOOT_MANPAGE=$(MANDIR)/man8/coldreboot.8
 
 -include $(KEXEC_DEPS)
 
@@ -119,16 +117,6 @@
 $(KEXEC_MANPAGE): kexec/kexec.8
 	@$(MKDIR) -p     $(MANDIR)/man8
 	cp $^ $(KEXEC_MANPAGE)
-
-$(KEXEC_COLDREBOOT): kexec/coldreboot
-	@$(MKDIR) -p     $(@D)
-	cp kexec/coldreboot $(KEXEC_COLDREBOOT)
-	/bin/chmod 755 $(KEXEC_COLDREBOOT)
-
-$(KEXEC_COLDREBOOT_MANPAGE): kexec/coldreboot.8
-	@$(MKDIR) -p     $(MANDIR)/man8
-	cp kexec/coldreboot.8 $(KEXEC_COLDREBOOT_MANPAGE)
-
 echo::
 	@echo "KEXEC_SRCS $(KEXEC_SRCS)"
 	@echo "KEXEC_DEPS $(KEXEC_DEPS)"

=== purgatory/Makefile ===
--- 
+++ 
@@ -45,11 +45,11 @@
 	$(COMPILE.c) -o $@ $^
 
 $(PURGATORY): CC=$(TARGET_CC)
-$(PURGATORY): CFLAGS+=$(PURGATORY_EXTRA_CFLAGS) \
+$(PURGATORY): CFLAGS=$(PURGATORY_EXTRA_CFLAGS) \
 		      $($(ARCH)_PURGATORY_EXTRA_CFLAGS) \
 		      -Os -fno-builtin -ffreestanding \
 		      -fno-zero-initialized-in-bss \
-		      -fno-PIC -fno-PIE -fno-stack-protector
+		      -fno-PIC -fno-PIE -fno-stack-protector -fno-tree-vectorize
 
 $(PURGATORY): CPPFLAGS=$($(ARCH)_PURGATORY_EXTRA_CFLAGS) \
 			-I$(srcdir)/purgatory/include \
@@ -66,7 +66,7 @@
 $(PURGATORY): $(PURGATORY_OBJS)
 	$(MKDIR) -p $(@D)
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@.sym $^
-#	$(LD) $(LDFLAGS) $(EXTRA_LDFLAGS) -Wl,--no-undefined -e purgatory_start -r -o $@ $(PURGATORY_OBJS) $(UTIL_LIB)
+#	$(LD) $(LDFLAGS) $(EXTRA_LDFLAGS) --no-undefined -e purgatory_start -r -o $@ $(PURGATORY_OBJS) $(UTIL_LIB)
 	$(STRIP) --strip-debug -o $@ $@.sym
 
 echo::

=== debian/changelog ===
kexec-tools (1:2.0.25-3+deb12u3) bookworm; urgency=medium

  * Non-maintainer upload.
  * Use the correct path systemd units for bookworm, reverting the wrong
    change in 2.0.25-3+deb12u2 (see discussion in #1086622).

 -- Shengqi Chen <harry@debian.org>  Wed, 30 Jul 2025 20:46:40 +0800

kexec-tools (1:2.0.25-3+deb12u2) bookworm; urgency=medium

  * Non-maintainer upload.
  * Fix path for systemd units (bookworm uses /lib).
  * d/control: drop unnecessary Depends: lsb-base, dpkg.

 -- Shengqi Chen <harry-chen@outlook.com>  Sat, 02 Nov 2024 19:55:08 +0800

kexec-tools (1:2.0.25-3+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Add a systemd mask to kexec.service, to prevent the init script from
    handling kexec process on a systemd enabled system. (Closes: #1028416)

 -- Miao Wang <shankerwangmiao@gmail.com>  Wed, 31 Jul 2024 15:31:41 +0000

kexec-tools (1:2.0.25-3) unstable; urgency=medium

  * Restricted build dependency on libxen-dev only to the architectures
    that support it. This fixes build failure on other architectures.

 -- Khalid Aziz <khalid@debian.org>  Wed, 07 Dec 2022 10:59:25 -0700

kexec-tools (1:2.0.25-2) unstable; urgency=medium

  * Fixed a bug in kexec-load init script that caused poweroff 
    to fail

 -- Khalid Aziz <khalid@debian.org>  Tue, 06 Dec 2022 16:06:24 -0700

kexec-tools (1:2.0.25-1) unstable; urgency=medium
  * New upstream release
  * Fixed kexec.init.d to always run on systems with systemd since
    systemd bundled kexec service works only on the systems with EFI
    and a boot spec file. With this change, a "reboot" will result in
    kexec reboot if LOAD_KEXEC in /etc/default/kexec is set to true.
    With LAOD_KEXEC set to true, a cold (non-kexec) reboot can be
    initiated using /usr/sbin/coldreboot (Closes: #1016536)
  * Updated kexec.init.d and kexec-load.init.d to not return error
    code upon being called with "restart", "reload" or "force-reload"
    argument. "stop" argument prepares the kernel for a kexec for a
    subsequent reboot. So a restart is not meaningful for these
    scripts. (Closes: #1010406)
  * Changed init scripts to not return error code on being called
    with "restart" argument (Closes: #996986)
  * Added build dependency on libxen-dev so kexec would work on xen
    (Closes: #1023270)
  * Updated swedish translation (Closes: #1011329)

 -- Khalid Aziz <khalid@debian.org>  Tue, 06 Dec 2022 10:58:42 -0700

kexec-tools (1:2.0.24-1) unstable; urgency=medium
  * New upstream release
  * Removed patch "kexec-tools: Remove duplicate definition of ramdisk"
    since it is included in new upstream release
  * kexec is disabled by default in /etc/default/kexec. "reboot" command
    does not do kexec reboot with systemd. One must use "systemctl kexec"
    for kexec reboot after enabling kexec in /etc/default/kexec
    (Closes: #874461)
  * Added /usr/bin to PATH in /etc/init/kexec (Closes: #992482)
  * Update german translation (Closes: #991257)
  * Update dutch translation (Closes: #991772)
  * Update spanish translation (Closes: #1003295)
  * Updated lintian overrides

 -- Khalid Aziz <khalid@debian.org>  Tue, 12 Apr 2022 14:12:03 -0600

=== debian/control ===
Source: kexec-tools
Section: admin
Homepage: https://git.kernel.org/pub/scm/utils/kernel/kexec/kexec-tools.git/
Priority: optional
Maintainer: Khalid Aziz <khalid@debian.org>
Build-Depends: debhelper (>= 10.0.0), gnu-efi (>=3.0a-4)[ia64], libz-dev[arm64 ia64], po-debconf, libxen-dev[amd64 arm64 armhf]
Standards-Version: 4.5.1.0

Package: kexec-tools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf
Description: tools to support fast kexec reboots
 This package provides tools to load a kernel into memory and then
 "reboot" directly into that kernel using the kexec system call,
 bypassing the normal boot process.

Package: kexec-tools-udeb
Section: debian-installer
Architecture: linux-any
XC-Package-Type: udeb
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools to support fast kexec reboots (udeb)

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 configure-stamp: 
 	dh_testdir
 	# Add here commands to configure the package.
+	dh_update_autotools_config
 	dh_autoreconf
 	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" dh_auto_configure -- --prefix=/usr --sbindir=/sbin --mandir=/usr/share/man --datadir=/usr/share
 	touch configure-stamp

## kexec-tools 2.0.28

=== include/Makefile ===
dist += include/Makefile		\
	include/config.h		\
	include/config.h.in		\
	include/kexec-pe-zboot.h	\
	include/kexec-uImage.h		\
	include/x86/x86-linux.h		\
	include/x86/mb_info.h		\
	include/x86/mb_header.h		\
	include/x86/multiboot2.h	\
	include/elf.h			\
	include/image.h			\
	include/unused.h		\
	include/boot/linuxbios_tables.h	\
	include/boot/beoboot.h		\
	include/boot/elf_boot.h

=== kexec/Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 KEXEC_SRCS_base += kexec/kexec-elf-core.c
 KEXEC_SRCS_base += kexec/kexec-elf-rel.c
 KEXEC_SRCS_base += kexec/kexec-elf-boot.c
+KEXEC_SRCS_base += kexec/kexec-pe-zboot.c
 KEXEC_SRCS_base += kexec/kexec-iomem.c
 KEXEC_SRCS_base += kexec/firmware_memmap.c
 KEXEC_SRCS_base += kexec/crashdump.c
@@ -92,6 +93,7 @@
 include $(srcdir)/kexec/arch/sh/Makefile
 include $(srcdir)/kexec/arch/x86_64/Makefile
 include $(srcdir)/kexec/arch/hppa/Makefile
+include $(srcdir)/kexec/arch/loongarch/Makefile
 
 KEXEC_SRCS += $($(ARCH)_KEXEC_SRCS)

=== vmcore-dmesg/Makefile ===
#
# vmcore-dmesg (reading demsg from vmcore)
#

VMCORE_DMESG_SRCS:= vmcore-dmesg/vmcore-dmesg.c

VMCORE_DMESG_OBJS = $(call objify, $(VMCORE_DMESG_SRCS))
VMCORE_DMESG_DEPS = $(call depify, $(VMCORE_DMESG_OBJS))

VMCORE_DMESG = $(SBINDIR)/vmcore-dmesg
VMCORE_DMESG_MANPAGE = $(MANDIR)/man8/vmcore-dmesg.8

dist += vmcore-dmesg/Makefile $(VMCORE_DMESG_SRCS) vmcore-dmesg/vmcore-dmesg.8
clean += $(VMCORE_DMESG_OBJS) $(VMCORE_DMESG_DEPS) $(VMCORE_DMESG) $(VMCORE_DMESG_MANPAGE)

-include $(VMCORE_DMESG_DEPS)

$(VMCORE_DMESG): $(VMCORE_DMESG_OBJS) $(UTIL_LIB)
	@$(MKDIR) -p $(@D)
	$(LINK.o) -o $@ $^ $(CFLAGS) $(LIBS)

$(VMCORE_DMESG_MANPAGE): vmcore-dmesg/vmcore-dmesg.8
	$(MKDIR) -p     $(MANDIR)/man8
	cp $^ $(VMCORE_DMESG_MANPAGE)
echo::
	@echo "VMCORE_DMESG_SRCS $(VMCORE_DMESG_SRCS)"
	@echo "VMCORE_DMESG_DEPS $(VMCORE_DMESG_DEPS)"
	@echo "VMCORE_DMESG_OBJS $(VMCORE_DMESG_OBJS)"

=== debian/changelog ===
kexec-tools (1:2.0.28-0ubuntu3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:00:54 +0200

kexec-tools (1:2.0.28-0ubuntu2) noble; urgency=medium

  * Disable extended xen support to avoiding a main->universe
    runtime dependency on libxenmisc4.17.

 -- dann frazier <dannf@ubuntu.com>  Fri, 23 Feb 2024 15:05:24 -0700

kexec-tools (1:2.0.28-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Cherry-pick riscv64 support.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 08 Feb 2024 17:50:07 +0000

kexec-tools (1:2.0.27-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add maintainer script helper to handle removal of conffile
      /etc/default/grub.d/kexec-tools.cfg.
    - Add Breaks: statement toward kdump-tools
       Starting with kdump-tools 1:1.5.9-6, that package has taken
       over the addition of crashkernel= parameter from kexec-tools.
    - Add finalrd integration hook, to allow kexec with finalrd.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 08 Feb 2024 15:45:27 +0000

kexec-tools (1:2.0.27-1) unstable; urgency=medium

  * New upstream release (Closes: #1051962)
  * Updated turkish translation (Closes: #1034616)
  * Added romanian translation (Closes: #1032000)
  * Make "kexec -a" the default. This fix was pulled into upstream
    2.0.26 release (Closes: #1030248)
  * Removed trailing whitespaves from rules and changelog files
  * Updated version for watch file and replaced http with https
  * Updated control file, cleaned up rules file, made copyright file
    dep5 compliant
  * Removed init files. Removed automatic kexec reboot when enabled
    and associated config option (kexec-tools/load_kexec or
    LOAD_KEXEC in /etc/default/kexec). kexec reboot functionality
    has been integrated into systemctl now and will likely move to
    logind in near future. (Closes: #1039248)
  * Package now provides a script - kexec-load-kernel. To perform a
    kexec reboot, ensure /etc/default/kexec has the desired value for
    USE_GRUB_CONFIG. Use the sequence "kexec-load-kernel;
    systemctl kexec" or "kexec-load-kernel; reboot"
    (Closes: #1028416)

 -- Khalid Aziz <khalid@debian.org>  Wed, 04 Oct 2023 16:17:28 -0600

kexec-tools (1:2.0.22-2ubuntu5) mantic; urgency=medium

  * Add d/p/lp2030476-s390-handle-R_390_PLT32DBL-reloc-entries-in-machine.patch
    to fix kdump kernel load failure on s390x. (LP: #2030476)

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 08 Aug 2023 21:14:16 +0200

kexec-tools (1:2.0.22-2ubuntu4) mantic; urgency=medium

  * Support more than one crash kernel regions for arm64 (LP: #2024479)
    - d/p/lp2024479-arm64-support-more-than-one-crash-kernel-regions.patch

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Mon, 03 Jul 2023 15:18:56 +0300

kexec-tools (1:2.0.22-2ubuntu3) lunar; urgency=medium

  * Change kexec default from --kexec-syscall to --kexec-syscall-all to
    make kexec work on secureboot systems by default. LP: #2008523

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 24 Feb 2023 20:47:39 +0000

=== debian/control ===
Source: kexec-tools
Section: admin
Homepage: https://git.kernel.org/pub/scm/utils/kernel/kexec/kexec-tools.git/
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Khalid Aziz <khalid@debian.org>
Build-Depends: debhelper (>= 10.0.0),  debhelper-compat (= 13), gnu-efi (>=3.0a-4)[ia64], libz-dev[arm64 ia64], po-debconf
Standards-Version: 4.5.1.0
Rules-Requires-Root: no

Package: kexec-tools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, dpkg (>= 1.15.7.2)
Breaks: kdump-tools ( << 1:1.5.9-6)
Description: tools to support fast kexec reboots
 This package provides tools to load a kernel into memory and then
 "reboot" directly into that kernel using the kexec system call,
 bypassing the normal boot process.

Package: kexec-tools-udeb
Section: debian-installer
Architecture: linux-any
XC-Package-Type: udeb
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools to support fast kexec reboots (udeb)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

BUILD_DATE = $(shell dpkg-parsechangelog -S Date | LC_ALL=C date -u +'%d %B %Y' -f -)
export BUILD_DATE

ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
	NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

CFLAGS = -Wall -g

%:
	dh $@

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_update_autotools_config
	dh_autoreconf
	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" dh_auto_configure -- --prefix=/usr --exec-prefix=/ --sbindir=/sbin --mandir=/usr/share/man --datadir=/usr/share --without-xen
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE) $(NJOBS)
	touch build-stamp

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	rm -fr tmp-source

	# Add here commands to clean up after the build process.
	$(MAKE) dist-clean

	dh_autoreconf_clean
	dh_clean
	debconf-updatepo

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/kexec-tools
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	[ ! -f $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static ] || strip $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static
endif

	install -D -m 0755 debian/kexec-tools/sbin/kexec debian/kexec-tools-udeb/sbin/kexec
	install -D -m 0755 debian/kexec-tools.finalrd debian/kexec-tools/usr/share/finalrd/kexec-tools.finalrd

binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installdebconf
	dh_installexamples
	dh_installsystemd
	dh_lintian
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=4
opts=uversionmangle=s/-(rc\d*)$/~$1/ \
https://kernel.org/pub/linux/utils/kernel/kexec/ \
(?:|.*/)kexec-tools(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar|tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
